summaryrefslogtreecommitdiffstats
path: root/development/gc
diff options
context:
space:
mode:
author Robby Workman2010-05-11 14:05:51 +0200
committer Eric Hameleers2010-05-11 14:05:51 +0200
commit0a4ab1d2f9c243c0517686f25e3b72d976389c36 (patch)
tree80e3e004d539230f19dea1dc1f88e418540a91b0 /development/gc
parent61e7763ae2a02320215395990ab0df57a9010308 (diff)
downloadslackbuilds-0a4ab1d2f9c243c0517686f25e3b72d976389c36.tar.gz
development/gc: Initial import
Diffstat (limited to 'development/gc')
-rw-r--r--development/gc/README12
-rw-r--r--development/gc/gc.SlackBuild77
-rw-r--r--development/gc/gc.info8
-rw-r--r--development/gc/slack-desc11
4 files changed, 108 insertions, 0 deletions
diff --git a/development/gc/README b/development/gc/README
new file mode 100644
index 0000000000..4d1c6872e2
--- /dev/null
+++ b/development/gc/README
@@ -0,0 +1,12 @@
+The Boehm-Demers-Weiser conservative garbage collector can be used as a
+garbage collecting replacement for C malloc or C++ new. It allows you to
+allocate memory basically as you normally would, without explicitly
+deallocating memory that is no longer useful. The collector automatically
+recycles memory when it determines that it can no longer be otherwise
+accessed.
+
+The collector is also used by a number of programming language
+implementations that either use C as intermediate code, want to
+facilitate easier interoperation with C libraries, or just prefer
+the simple collector interface.
+
diff --git a/development/gc/gc.SlackBuild b/development/gc/gc.SlackBuild
new file mode 100644
index 0000000000..c699e0b4df
--- /dev/null
+++ b/development/gc/gc.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/bash
+
+# Slackware build script for gc
+
+# Copyright 2006 Robby Workman (http://rlworkman.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+set -e
+
+PRGNAM=gc
+VERSION=6.8
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}${VERSION}
+tar -xzvf $CWD/${PRGNAM}${VERSION}.tar.gz
+cd ${PRGNAM}${VERSION}
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --enable-static=no
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/man/man1
+mv $PKG/usr/share/gc/gc.man $PKG/usr/man/man1/gc.1
+gzip -9 $PKG/usr/man/man1/gc.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/gc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+rm -rf $PKG/usr/share
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/gc/gc.info b/development/gc/gc.info
new file mode 100644
index 0000000000..c763fe3f19
--- /dev/null
+++ b/development/gc/gc.info
@@ -0,0 +1,8 @@
+PRGNAM="gc"
+VERSION="6.8"
+HOMEPAGE="http://www.hpl.hp.com/personal/Hans_Boehm/gc/"
+DOWNLOAD="http://www.hpl.hp.com/personal/Hans_Boehm/gc/gc_source/gc6.8.tar.gz"
+MD5SUM="418d38bd9c66398386a372ec0435250e"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="alien"
diff --git a/development/gc/slack-desc b/development/gc/slack-desc
new file mode 100644
index 0000000000..4f1e68c3d5
--- /dev/null
+++ b/development/gc/slack-desc
@@ -0,0 +1,11 @@
+gc: Boehm-Demers-Weiser garbage collector
+gc:
+gc: The Boehm-Demers-Weiser conservative garbage collector can be used as a
+gc: garbage collecting replacement for C malloc or C++ new. It allows you to
+gc: allocate memory basically as you normally would, without explicitly
+gc: deallocating memory that is no longer useful. The collector automatically
+gc: recycles memory when it determines that it can no longer be otherwise
+gc: accessed.
+gc:
+gc: Homepage: http://www.hpl.hp.com/personal/Hans_Boehm/gc/
+gc: